aagc.vo

## Class AssistibileGetAssistibileInAnagrafe

- java.lang.Object
- - aagc.vo.AssistibileGetAssistibileInAnagrafe

-     public class AssistibileGetAssistibileInAnagrafe
      extends java.lang.Object

  Response del servizio "getAssistibileInAnagrafe" che fornisce tutti i dati necessari ad una completa descrizione della posizione anagrafica dell'assistito ad una certa data di riferimento. Nel caso in cui il cittadino risulti iscritto in anagrafe, verranno forniti i dati relativi all'eventuale iscrizione attiva e all'indicazione del medico scelto.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) java.lang.String` | `codFiscale` Codice fiscale dell'assistito, elemento obbligatorio.
    `(package private) java.lang.String` | `codISTATCittadinanza` Codice che identifica la cittadinanza di un assistito, elemento facoltativo.
    `(package private) java.lang.String` | `codIstatComuneDomicilio` Codice ISTAT del comune di domicilio dell'assistito, elemento facoltativo.
    `(package private) java.lang.String` | `codIstatComuneNascita` Codice ISTAT del comune di nascita dell'assistito, elemento obbligatorio.
    `(package private) java.lang.String` | `codIstatComuneResidenza` Codice ISTAT del comune di residenza dell'assistito, elemento obbligatorio.
    `(package private) java.lang.String` | `codSanitario` Codice sanitario dell'assistito, elemento facoltativo.
    `(package private) java.lang.String` | `codTipoAssistibile` Specifica la provenienza dell'assistito, elemento obbligatorio.
    `(package private) java.lang.String` | `cognome` Cognome dell'assistito, elemento obbligatorio.
    `(package private) java.lang.String` | `comuneDomicilio` Denominazione del comune di domicilio dell'assistito, elemento facoltativo.
    `(package private) java.lang.String` | `comuneNascita` Denominazione del comune di nascita dell'assistito, elemento obbligatorio.
    `(package private) java.lang.String` | `comuneResidenza` Denominazione del comune di residenza dell'assistito, elemento obbligatorio.
    `(package private) java.lang.String` | `dataNascita` Data di nascita dell'assistito, elemento obbligatorio.
    `(package private) DatiIscrizioneUSL` | `datiIscrizioneUSL` Dati relativi all'iscrizione dell'assistito ad una ASL, elemento facoltativo.
    `(package private) DatiSceltaMedico` | `datiSceltaMedico` Dati relativi alla scelta e/o revoca del medico di base, elemento facoltativo.
    `(package private) java.lang.String` | `descCittadinanza` Cittadinanza dell'assistito, elemento facoltativo.
    `(package private) java.lang.String` | `indDomicilio` Indirizzo di domicilio dell'assistito, elemento facoltativo.
    `(package private) java.lang.String` | `indResidenza` Indirizzo di residenza dell'assistito, elemento obbligatorio.
    `(package private) java.lang.String` | `nome` Nome dell'assistito, elemento obbligatorio.
    `(package private) java.lang.String` | `sesso` Sesso dell'assistito, elemento obbligatorio.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AssistibileGetAssistibileInAnagrafe()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCodFiscale()`
    `java.lang.String` | `getCodISTATCittadinanza()`
    `java.lang.String` | `getCodIstatComuneDomicilio()`
    `java.lang.String` | `getCodIstatComuneNascita()`
    `java.lang.String` | `getCodIstatComuneResidenza()`
    `java.lang.String` | `getCodSanitario()`
    `java.lang.String` | `getCodTipoAssistibile()`
    `java.lang.String` | `getCognome()`
    `java.lang.String` | `getComuneDomicilio()`
    `java.lang.String` | `getComuneNascita()`
    `java.lang.String` | `getComuneResidenza()`
    `java.lang.String` | `getDataNascita()`
    `DatiIscrizioneUSL` | `getDatiIscrizioneUSL()`
    `DatiSceltaMedico` | `getDatiSceltaMedico()`
    `java.lang.String` | `getDescCittadinanza()`
    `java.lang.String` | `getIndDomicilio()`
    `java.lang.String` | `getIndResidenza()`
    `java.lang.String` | `getNome()`
    `java.lang.String` | `getSesso()`
    `void` | `setCodFiscale(java.lang.String codFiscale)`
    `void` | `setCodISTATCittadinanza(java.lang.String codISTATCittadinanza)`
    `void` | `setCodIstatComuneDomicilio(java.lang.String codIstatComuneDomicilio)`
    `void` | `setCodIstatComuneNascita(java.lang.String codIstatComuneNascita)`
    `void` | `setCodIstatComuneResidenza(java.lang.String codIstatComuneResidenza)`
    `void` | `setCodSanitario(java.lang.String codSanitario)`
    `void` | `setCodTipoAssistibile(java.lang.String codTipoAssistibile)`
    `void` | `setCognome(java.lang.String cognome)`
    `void` | `setComuneDomicilio(java.lang.String comuneDomicilio)`
    `void` | `setComuneNascita(java.lang.String comuneNascita)`
    `void` | `setComuneResidenza(java.lang.String comuneResidenza)`
    `void` | `setDataNascita(java.lang.String dataNascita)`
    `void` | `setDatiIscrizioneUSL(DatiIscrizioneUSL datiIscrizioneUSL)`
    `void` | `setDatiSceltaMedico(DatiSceltaMedico datiSceltaMedico)`
    `void` | `setDescCittadinanza(java.lang.String descCittadinanza)`
    `void` | `setIndDomicilio(java.lang.String indDomicilio)`
    `void` | `setIndResidenza(java.lang.String indResidenza)`
    `void` | `setNome(java.lang.String nome)`
    `void` | `setSesso(java.lang.String sesso)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### codFiscale

          java.lang.String codFiscale

      Codice fiscale dell'assistito, elemento obbligatorio.

    - #### codISTATCittadinanza

          java.lang.String codISTATCittadinanza

      Codice che identifica la cittadinanza di un assistito, elemento facoltativo.

    - #### codIstatComuneDomicilio

          java.lang.String codIstatComuneDomicilio

      Codice ISTAT del comune di domicilio dell'assistito, elemento facoltativo.

    - #### codIstatComuneNascita

          java.lang.String codIstatComuneNascita

      Codice ISTAT del comune di nascita dell'assistito, elemento obbligatorio.

    - #### codIstatComuneResidenza

          java.lang.String codIstatComuneResidenza

      Codice ISTAT del comune di residenza dell'assistito, elemento obbligatorio.

    - #### codSanitario

          java.lang.String codSanitario

      Codice sanitario dell'assistito, elemento facoltativo.

    - #### codTipoAssistibile

          java.lang.String codTipoAssistibile

      Specifica la provenienza dell'assistito, elemento obbligatorio. Se la ricerca non viene effettuata alla data odierna assume valore 0, altrimenti:
      - 1 - Assistibile della regione
      - 2 - Assistibile di altra regione
      - 3 - Assistibile CEE
      - 4 - Assistibile extra CEE
      - 5 - Straniero residente

    - #### cognome

          java.lang.String cognome

      Cognome dell'assistito, elemento obbligatorio.

    - #### comuneDomicilio

          java.lang.String comuneDomicilio

      Denominazione del comune di domicilio dell'assistito, elemento facoltativo.

    - #### comuneNascita

          java.lang.String comuneNascita

      Denominazione del comune di nascita dell'assistito, elemento obbligatorio.

    - #### comuneResidenza

          java.lang.String comuneResidenza

      Denominazione del comune di residenza dell'assistito, elemento obbligatorio.

    - #### dataNascita

          java.lang.String dataNascita

      Data di nascita dell'assistito, elemento obbligatorio.

    - #### datiIscrizioneUSL

          DatiIscrizioneUSL datiIscrizioneUSL

      Dati relativi all'iscrizione dell'assistito ad una ASL, elemento facoltativo.

    - #### datiSceltaMedico

          DatiSceltaMedico datiSceltaMedico

      Dati relativi alla scelta e/o revoca del medico di base, elemento facoltativo.

    - #### descCittadinanza

          java.lang.String descCittadinanza

      Cittadinanza dell'assistito, elemento facoltativo.

    - #### indDomicilio

          java.lang.String indDomicilio

      Indirizzo di domicilio dell'assistito, elemento facoltativo.

    - #### indResidenza

          java.lang.String indResidenza

      Indirizzo di residenza dell'assistito, elemento obbligatorio.

    - #### nome

          java.lang.String nome

      Nome dell'assistito, elemento obbligatorio.

    - #### sesso

          java.lang.String sesso

      Sesso dell'assistito, elemento obbligatorio. I possibili valori sono 'M' (Maschio) o 'F' (Donna).

  - ### Constructor Detail

    - #### AssistibileGetAssistibileInAnagrafe

          public AssistibileGetAssistibileInAnagrafe()

  - ### Method Detail

    - #### getCodISTATCittadinanza

          public java.lang.String getCodISTATCittadinanza()

    - #### setCodISTATCittadinanza

          public void setCodISTATCittadinanza(java.lang.String codISTATCittadinanza)

    - #### getCodIstatComuneDomicilio

          public java.lang.String getCodIstatComuneDomicilio()

    - #### setCodIstatComuneDomicilio

          public void setCodIstatComuneDomicilio(java.lang.String codIstatComuneDomicilio)

    - #### getCodIstatComuneNascita

          public java.lang.String getCodIstatComuneNascita()

    - #### setCodIstatComuneNascita

          public void setCodIstatComuneNascita(java.lang.String codIstatComuneNascita)

    - #### getCodIstatComuneResidenza

          public java.lang.String getCodIstatComuneResidenza()

    - #### setCodIstatComuneResidenza

          public void setCodIstatComuneResidenza(java.lang.String codIstatComuneResidenza)

    - #### getCodTipoAssistibile

          public java.lang.String getCodTipoAssistibile()

    - #### setCodTipoAssistibile

          public void setCodTipoAssistibile(java.lang.String codTipoAssistibile)

    - #### getComuneDomicilio

          public java.lang.String getComuneDomicilio()

    - #### setComuneDomicilio

          public void setComuneDomicilio(java.lang.String comuneDomicilio)

    - #### getComuneNascita

          public java.lang.String getComuneNascita()

    - #### setComuneNascita

          public void setComuneNascita(java.lang.String comuneNascita)

    - #### getComuneResidenza

          public java.lang.String getComuneResidenza()

    - #### setComuneResidenza

          public void setComuneResidenza(java.lang.String comuneResidenza)

    - #### getDataNascita

          public java.lang.String getDataNascita()

    - #### setDataNascita

          public void setDataNascita(java.lang.String dataNascita)

    - #### getDescCittadinanza

          public java.lang.String getDescCittadinanza()

    - #### setDescCittadinanza

          public void setDescCittadinanza(java.lang.String descCittadinanza)

    - #### getIndDomicilio

          public java.lang.String getIndDomicilio()

    - #### setIndDomicilio

          public void setIndDomicilio(java.lang.String indDomicilio)

    - #### getIndResidenza

          public java.lang.String getIndResidenza()

    - #### setIndResidenza

          public void setIndResidenza(java.lang.String indResidenza)

    - #### getSesso

          public java.lang.String getSesso()

    - #### setSesso

          public void setSesso(java.lang.String sesso)

    - #### getCodFiscale

          public java.lang.String getCodFiscale()

    - #### setCodFiscale

          public void setCodFiscale(java.lang.String codFiscale)

    - #### getCodSanitario

          public java.lang.String getCodSanitario()

    - #### setCodSanitario

          public void setCodSanitario(java.lang.String codSanitario)

    - #### getCognome

          public java.lang.String getCognome()

    - #### setCognome

          public void setCognome(java.lang.String cognome)

    - #### getNome

          public java.lang.String getNome()

    - #### setNome

          public void setNome(java.lang.String nome)

    - #### getDatiIscrizioneUSL

          public DatiIscrizioneUSL getDatiIscrizioneUSL()

    - #### setDatiIscrizioneUSL

          public void setDatiIscrizioneUSL(DatiIscrizioneUSL datiIscrizioneUSL)

    - #### getDatiSceltaMedico

          public DatiSceltaMedico getDatiSceltaMedico()

    - #### setDatiSceltaMedico

          public void setDatiSceltaMedico(DatiSceltaMedico datiSceltaMedico)